Skip to main content
GET
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Volunteers
/
{volunteerId}
Get Volunteer
curl --request GET \
  --url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers/{volunteerId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "volunteerUrl": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "contactId": "<integer>",
  "contactUrl": "<string>",
  "displayName": "<string>",
  "firstName": "<string>",
  "avatarUrl": "<string>",
  "primaryPhone": "<string>",
  "primaryEmail": "<string>",
  "totalHours": "<double>",
  "timesVolunteered": "<integer>",
  "volunteerAttendanceUrl": "<string>",
  "volunteerOpportunityId": "<integer>",
  "volunteerOpportunityUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

volunteerId
string
required

(Required) The volunteer identifier.

volunteerOpportunityId
string
required

(Required)

Response

OK

id
string
volunteerUrl
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
contactId
string
contactUrl
string
displayName
string
firstName
string
avatarUrl
string
primaryPhone
string
primaryEmail
string
totalHours
string
timesVolunteered
string
volunteerAttendanceUrl
string
volunteerOpportunityId
string
volunteerOpportunityUrl
string
Last modified on June 5, 2026